let world = class{
	
	map = [];
	roadMap=[];
	 
	constructor(currentLevel){

		this.roadMap=currentLevel.levelMap;
		this.actionMaps=currentLevel.actionMaps;
		this.map=this.create();	
	}
	 
		create(){

		let thisWorld = [];
		let thisID=1;
		let startX = 0;
		let startY = 0;
		

		let thisImage = new Image();
		let results = [];
		let thisAction = "";
		

		for(let row=0;row < this.roadMap.length;row++){
			thisWorld[row] = [];

				for(let column=0;column < this.roadMap[row].length;column++){
					
						thisImage = currentLevel["_" + this.roadMap[row][column]];
						thisAction = this.actionMaps[this.roadMap[row][column]];
						thisWorld[row][column] = {x: startX,y: startY, tile: thisImage, LocationID: thisID, TileID: this.roadMap[row][column], Action: thisAction};	
						++thisID;
						startX += tileWidth;
					}
					
					startY += tileHeight;
					startX = 0;
				
		}
		
		return thisWorld;
		
	}
	
	draw(context,offsetRight,offsetLeft,offsetForward,offsetBackward){
		
	//	console.log("tile: " + tileHeight * this.map.length + " END: " + (Math.abs(this.map[0][0].y - cameraOffsetY) + gameCanvas.height));
	
		
			  		if(offsetRight && (Math.abs(this.map[0][0].x - cameraOffsetX) + gameCanvas.width) != tileWidth * this.map[0].length) {
						cameraOffsetX += cameraOffset;
					}
					
					if(offsetLeft && this.map[0][0].x - cameraOffsetX != 0){

						cameraOffsetX -= cameraOffset;
					}
					
					if(offsetForward && this.map[0][0].y - cameraOffsetY < 0){
						cameraOffsetY -= cameraOffset;
					}
					if(offsetBackward && (Math.abs(this.map[0][0].y - cameraOffsetY) + gameCanvas.height) != tileHeight * this.map.length){
						cameraOffsetY += cameraOffset;
					}
		

		
		for(let column=0;column < this.map.length;column++){
			for(let row=0;row < this.map[column].length ;row++){

					var thisTile = new tile(this.map[column][row].LocationID,this.map[column][row].x - cameraOffsetX,this.map[column][row].y - cameraOffsetY,this.map[column][row].tile);	
					thisTile.draw(context);
						
				}
		}
	
	 
}
   
}